µMatrix thread

General discussion about web technology.
barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Fri Jul 07, 2017 8:27 pm

yes_noscript wrote:if you use uMatrix you dont need [...] ghostery
µMatrix and Ghostery are not redundant. How do you figure that µMatrix makes Ghostery unnecessary?
*Always* check the changelogs BEFORE updating that important software!
-

barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Sat Nov 18, 2017 2:59 am

https://github.com/gorhill/uMatrix/comm ... 354a266307

Does this mean that Pale Moon support is being dropped and SeaMonkey won't be supported until it gets WebExtensions support? Or just that users of those browsers will have to self build µMatrix releases from the source from now on?
*Always* check the changelogs BEFORE updating that important software!
-

yes_noscript

Re: µMatrix thread

Post by yes_noscript » Sat Nov 18, 2017 6:36 pm

I would say, yes.
But with Basilisk a "new" Pale Moon start which support (not all) webextensions
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.9) Gecko/20100101 Goanna/3.4 Firefox/52.9 PaleMoon/27.6.1

User avatar
gracious1
Junior Member
Posts: 20
Joined: Sat Sep 16, 2017 7:33 pm

Re: µMatrix thread

Post by gracious1 » Mon Nov 27, 2017 3:01 am

barbaz wrote:https://github.com/gorhill/uMatrix/comm ... 354a266307

Does this mean that Pale Moon support is being dropped and SeaMonkey won't be supported until it gets WebExtensions support? Or just that users of those browsers will have to self build µMatrix releases from the source from now on?
It means that they are ceasing the XPCOM edition of uMatrix (umatrix.firefox.xpi). There will be one for Firefox Quantum, which is WebExtension (umatrix.webext.xpi), and one for Chromium (umatrix.chromium.xpi).
  • Going forward, uMatrix will not work on:
    • SeaMonkey (until it gets WebExt support)
    • Pale Moon (which will never support WebExt)
    • Any other Gecko/Goanna browser that will not support WebExt
    It will work on:
    • Firefox Quantum
    • Waterfox
    • Cyberfox
    • Basilisk
      also
    • Chromium
    • Chrome
    • Opera
FYI: the same developers will continue to develop the XPCOM edition of uBlock Origin, which blocks a lot of stuff and can be made more powerful with dynamic filtering.

HTH
Last edited by gracious1 on Mon Nov 27, 2017 3:47 am, edited 1 time in total.
Mozilla/5.0 (X11; Linux x86_64; rv:45.9) Gecko/20100101 Goanna/3.2 Firefox/45.9 PaleMoon/27.4.2

barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Mon Nov 27, 2017 3:10 am

Thanks gracious1.

Oh well, at least µMatrix 1.1.0 works well for me.

EDIT
Apparently there is now a Github issue about this - https://github.com/gorhill/uMatrix/issues/826
*Always* check the changelogs BEFORE updating that important software!
-

User avatar
gracious1
Junior Member
Posts: 20
Joined: Sat Sep 16, 2017 7:33 pm

Re: µMatrix thread

Post by gracious1 » Tue Nov 28, 2017 9:30 am

yes_noscript wrote:I would say, yes.
But with Basilisk a "new" Pale Moon start which support (not all) webextensions
Basilisk is in no sense a "new" Pale Moon. It is a different browser. It is created by Moonchild Productions, which also created Pale Moon. They are two separate products which Moonchild Productions shall continue to develop indefinitely.
Mozilla/5.0 (X11; Linux x86_64; rv:45.9) Gecko/20100101 Goanna/3.2 Firefox/45.9 PaleMoon/27.4.2

barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Wed Jan 03, 2018 2:56 am

In µMatrix legacy, it was possible to mostly disable placeholders using user.js. By "mostly disable" I mean only (i)frames had placeholders, and other elements had no visual placeholders, i.e. they looked like browser default behavior for blocked content.

Code: Select all

user_pref("extensions.umatrix.placeholderBackground", "");
user_pref("extensions.umatrix.placeholderBorder", "");
user_pref("extensions.umatrix.placeholderImage", "");
I'm now using µMatrix webext 1.1.20. How to disable placeholders for everything other than (i)frames now?

btw, Happy New Year @gorhill :D
*Always* check the changelogs BEFORE updating that important software!
-

kukla
Senior Member
Posts: 246
Joined: Mon May 04, 2009 12:08 am

Re: µMatrix thread

Post by kukla » Wed Jan 03, 2018 4:36 pm

With my 52esr, I'm stuck on v.1.0.0. Going forward, at least until 52esr EOL, what are the security implications of running uMatrix, for all intents and purposes, unsupported?
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0

barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Wed Jan 03, 2018 4:56 pm

No need to use a version quite that old. I suggest you use µMatrix 1.1.0, as I did before moving to a Webext-compatible browser.

You can look at the changelog to see what changes you're missing - https://github.com/gorhill/uMatrix/releases
*Always* check the changelogs BEFORE updating that important software!
-

kukla
Senior Member
Posts: 246
Joined: Mon May 04, 2009 12:08 am

Re: µMatrix thread

Post by kukla » Wed Jan 03, 2018 6:18 pm

barbaz wrote:No need to use a version quite that old. I suggest you use µMatrix 1.1.0, as I did before moving to a Webext-compatible browser.

You can look at the changelog to see what changes you're missing - https://github.com/gorhill/uMatrix/releases
Thanks, but for v.1.1.0 at https://addons.mozilla.org/en-US/firefo ... /versions/

seeing "this version not compatible...."
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0

barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Wed Jan 03, 2018 6:31 pm

kukla wrote:Thanks, but for v.1.1.0 at https://addons.mozilla.org/en-US/firefo ... /versions/

seeing "this version not compatible...."
Yeah, which is why I provided the link where you can get the legacy version 1.1.0.
*Always* check the changelogs BEFORE updating that important software!
-

kukla
Senior Member
Posts: 246
Joined: Mon May 04, 2009 12:08 am

Re: µMatrix thread

Post by kukla » Wed Jan 03, 2018 9:40 pm

Didn't understand (obviously). Thanks, will get that.
Mozilla/5.0 (iPad; CPU OS 9_3_5 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13D15 Safari/601.1

kukla
Senior Member
Posts: 246
Joined: Mon May 04, 2009 12:08 am

Re: µMatrix thread

Post by kukla » Wed Jan 03, 2018 11:37 pm

Wrinkle: downloaded the Firefox 1.1.0 xpi from github. "Could not be installed because not verified"
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0

barbaz
Senior Member
Posts: 9028
Joined: Sat Aug 03, 2013 5:45 pm

Re: µMatrix thread

Post by barbaz » Wed Jan 03, 2018 11:41 pm

kukla wrote:Wrinkle: downloaded the Firefox 1.1.0 xpi from github. "Could not be installed because not verified"
about:config > set xpinstall.signatures.required to false
*Always* check the changelogs BEFORE updating that important software!
-

kukla
Senior Member
Posts: 246
Joined: Mon May 04, 2009 12:08 am

Re: µMatrix thread

Post by kukla » Thu Jan 04, 2018 1:09 am

Knew there was something like that, couldn't remember just where. Will give that a go later on.
Mozilla/5.0 (iPad; CPU OS 9_3_5 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Version/9.0 Mobile/13D15 Safari/601.1

Post Reply